Show / Hide Table of Contents

# AsyncPointerClickTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPointerClickTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IPointerClickHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncPointerClickTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IPointerClickHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnPointerClickAsyncHandler() |
GetOnPointerClickAsyncHandler(CancellationToken) |
OnPointerClickAsync() |
OnPointerClickAsync(CancellationToken) |

### Methods

#### GetOnPointerClickAsyncHandler()

    public IAsyncOnPointerClickHandler GetOnPointerClickAsyncHandler()

##### Returns

IAsyncOnPointerClickHandler

#### GetOnPointerClickAsyncHandler(CancellationToken)

    public IAsyncOnPointerClickHandler GetOnPointerClickAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnPointerClickHandler

#### OnPointerClickAsync()

    public UniTask<PointerEventData> OnPointerClickAsync()

##### Returns

UniTask<PointerEventData>

#### OnPointerClickAsync(CancellationToken)

    public UniTask<PointerEventData> OnPointerClickAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IPointerClickHandler